spark_write_csv {sparklyr} | R Documentation

## Write a Spark DataFrame to a CSV

### Description

Write a Spark DataFrame to a tabular (typically, comma-separated) file.

### Usage

    spark_write_csv(x, path, header = TRUE, delimiter = ",", quote = "\"",
      escape = "\\", charset = "UTF-8", null_value = NULL,
      options = list(), mode = NULL, partition_by = NULL, ...)

### Arguments

`x` | A Spark DataFrame or dplyr operation
`path` | The path to the file. Needs to be accessible from the cluster. Supports the "hdfs://", "s3a://" and "file://" protocols.
`header` | Should the first row of data be used as a header? Defaults to `TRUE`.
`delimiter` | The character used to delimit each column, defaults to `,`.
`quote` | The character used as a quote. Defaults to '"'.
`escape` | The character used to escape other characters, defaults to `\`.
`charset` | The character set, defaults to `"UTF-8"`.
`null_value` | The character to use for default values, defaults to `NULL`.
`options` | A list of strings with additional options.
`mode` | A `character` element. Specifies the behavior when data or table already exists. Supported values include: 'error', 'append', 'overwrite' and ignore. Notice that 'overwrite' will also change the column structure. For more details see also http://spark.apache.org/docs/latest/sql-programming-guide.html#save-modes for your version of Spark.
`partition_by` | A `character` vector. Partitions the output by the given columns on the file system.
`...` | Optional arguments; currently unused.

### See Also

Other Spark serialization routines: `spark_load_table`, `spark_read_csv`, `spark_read_jdbc`, `spark_read_json`, `spark_read_libsvm`, `spark_read_parquet`, `spark_read_source`, `spark_read_table`, `spark_read_text`, `spark_save_table`, `spark_write_jdbc`, `spark_write_json`, `spark_write_parquet`, `spark_write_source`, `spark_write_table`, `spark_write_text`

[Package sparklyr version 0.8.4 Index]